%define upstream_name	 Sys-SigAction
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl extension for Consistent Signal Handling
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sys/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module implements set_sig_handler(), which sets up a signal handler and
(optionally) returns an object which causes the signal handler to be reset to
the previous value, when it goes out of scope.

Also implemented is timeout_call() which takes a timeout value and a code
reference, and executes the code reference wrapped with an alarm timeout.

Finally, two convenience routines are defined which allow one to get the signal
name from the number -- sig_name(), and get the signal number from the name --
sig_number().

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%doc Changes META.yml README
%{perl_vendorlib}/Sys
%_mandir/man3*/*

%changelog
* Fri Jul 08 2011 jquelin <jquelin> 0.150.0-1.mga2
+ Revision: 120471
- update to 0.15

* Mon Jun 27 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 114630
- update to 0.14

* Mon Jun 27 2011 jquelin <jquelin> 0.130.0-1.mga2
+ Revision: 114497
- update to 0.13

* Tue Jun 21 2011 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 111621
- update to 0.12

* Sat Jan 22 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 31216
- mageia rebuild
- imported package perl-Sys-SigAction


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-1mdv2010.0
+ Revision: 404434
- rebuild using %%perl_convert_version

* Sun Feb 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdv2009.1
+ Revision: 336237
- update to new version 0.11

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.10-4mdv2009.0
+ Revision: 258426
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.10-3mdv2009.0
+ Revision: 246493
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.10-1mdv2008.1
+ Revision: 140717
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jul 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2008.0
+ Revision: 48946
- import perl-Sys-SigAction


* Fri Jul 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2008.0
- first mdv release 
